GNU bug report logs - #21244
shell-script mode indentation fooled by one-liner 'for' statement

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: 積丹尼 Dan Jacobson <jidanni@HIDDEN>; Keywords: confirmed; merged with #2910, #26217, #30170; dated Wed, 12 Aug 2015 16:33:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 2910 21244 26217 30170. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 2910 21244 26217. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 21244 26217. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Aug 2015 16:32:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 12 12:32:50 2015
Received: from localhost ([127.0.0.1]:54326 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZPYxN-0000ua-RX
	for submit <at> debbugs.gnu.org; Wed, 12 Aug 2015 12:32:50 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40954)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jidanni@HIDDEN>) id 1ZPYxL-0000uS-PU
 for submit <at> debbugs.gnu.org; Wed, 12 Aug 2015 12:32:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1ZPYxK-00034e-TT
 for submit <at> debbugs.gnu.org; Wed, 12 Aug 2015 12:32:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50403)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1ZPYxK-00034Z-Qh
 for submit <at> debbugs.gnu.org; Wed, 12 Aug 2015 12:32:46 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50932)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1ZPYxG-0006qq-Nw
 for bug-gnu-emacs@HIDDEN; Wed, 12 Aug 2015 12:32:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1ZPYxC-000329-0I
 for bug-gnu-emacs@HIDDEN; Wed, 12 Aug 2015 12:32:42 -0400
Received: from homie.mail.dreamhost.com ([208.97.132.208]:59660
 helo=homiemail-a1.g.dreamhost.com)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1ZPYxB-00030h-P5
 for bug-gnu-emacs@HIDDEN; Wed, 12 Aug 2015 12:32:37 -0400
Received: from homiemail-a1.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a1.g.dreamhost.com (Postfix) with ESMTP id CAC8F34806E
 for <bug-gnu-emacs@HIDDEN>; Wed, 12 Aug 2015 09:32:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 jidanni.org; bh=X3Rou1AhKjPakxpaeidmyRCSo7M=; b=bZGLffXK34W3fStP
 1D226ZBomu5duLIq6tFKjMXMyEI7wZ16RseUhVKFSGLCJpsW1uq62EDOdDi9QOLa
 F6tpRqu8RHgw5RK8HuH5bF53yRf48LS1FD5Z6EVlOHWBWKiDFeriock2h/hX0t9Z
 44951p4nDRNpnm9Jnyu64PIC2+Y=
Received: from jidanni.org (114-41-15-16.dynamic.hinet.net [114.41.15.16])
 (using TLSv1 with cipher AES128-SHA (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by homiemail-a1.g.dreamhost.com (Postfix) with ESMTPSA id 8F57134806C
 for <bug-gnu-emacs@HIDDEN>; Wed, 12 Aug 2015 09:32:34 -0700 (PDT)
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: bug-gnu-emacs <bug-gnu-emacs@HIDDEN>
Subject: shell-script mode indentation fooled by one-liner 'for' statement
Date: Thu, 13 Aug 2015 00:32:30 +0800
Message-ID: <87bnec31sx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

In shell-script [Bash] mode, C-x h TAB gives

for i do mountpoint -q $i||exit 88; done
    c=apt-get #aptitude

which has wrong indentation. It should be

for i do mountpoint -q $i||exit 88; done
c=apt-get #aptitude




Acknowledgement sent to 積丹尼 Dan Jacobson <jidanni@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21244; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 19 Jan 2018 13:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.